Runtime

## org.eclipse.gmf.runtime.common.ui.services.properties
Class GetPropertySourceOperation

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.properties.GetPropertySourceOperation

All Implemented Interfaces:
  IOperation

public class GetPropertySourceOperation
extends java.lang.Object
implements IOperation

An operation which will execute providers in order of priorities (from HIGHEST to LOWEST), obtain a property source from each, and append each result into a linked list of `ICompositePropertySource` property source objects.

Constructor Summary
`GetPropertySourceOperation(java.lang.Object object)` Create a GetPropertySourceOperation instance

Method Summary
`java.lang.Object` `execute(IProvider provider)` Executes this operation on the specified provider.
`java.lang.Object` `getObject()` Returns the object - target of the properties
`ICompositePropertySource` `getPropertySource()` Returns the propertySource - a linked list of `ICompositePropertySource` property source objects.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetPropertySourceOperation

    public GetPropertySourceOperation(java.lang.Object object)

  Create a GetPropertySourceOperation instance

Parameters:
  `object` - - target of the properties

Method Detail

### execute

    public java.lang.Object execute(IProvider provider)

  Description copied from interface: `IOperation`
  Executes this operation on the specified provider.

  Service implementers generally implement this method by first casting the provider to their service specific `IProvider`-derived class and then by delegating it the execution. Delegation is accomplished through the service specific provider derived class API.

  Specified by:
    `execute` in interface `IOperation`
  Parameters:
    `provider` - The provider on which to execute the operation.
  Returns:
    The result of executing this operation.

### getPropertySource

    public ICompositePropertySource getPropertySource()

  Returns the propertySource - a linked list of `ICompositePropertySource` property source objects.

  Returns:
    ICompositePropertySource - the propertySource

### getObject

    public java.lang.Object getObject()

  Returns the object - target of the properties

  Returns:
    Object - target of the properties

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.